diff --git a/doc/src/sgml/release-11.sgml b/doc/src/sgml/release-11.sgml
index 9dd8dff081..6adc312871 100644
--- a/doc/src/sgml/release-11.sgml
+++ b/doc/src/sgml/release-11.sgml
@@ -20,7 +20,104 @@
 
    <itemizedlist>
 
-   <listitem><para>XXX</para></listitem>
+    <listitem>
+        <para>Major improvements to partitioning
+            <itemizedlist>
+
+            <listitem>
+               <para>
+                Partitioning by a hash key
+               </para>
+            </listitem>
+
+            <listitem>
+               <para>
+                <command>UPDATE</command> statements issued to a partition key
+                now move affected rows to the appropriate partitions
+               </para>
+            </listitem>
+
+             <listitem>
+                <para>
+                 Improved <command>SELECT</command> query performance due to
+                 enhanced partition elimination during query processing and
+                 execution
+                </para>
+             </listitem>
+
+             <listitem>
+                <para>
+                 Support for <literal>PRIMARY KEY</literal>, <literal>FOREIGN
+                 KEY</literal>, indexes, and triggers
+                </para>
+             </listitem>
+
+            </itemizedlist>
+        </para>
+    </listitem>
+
+    <listitem>
+        <para>Improvements to parallelism
+            <itemizedlist>
+
+            <listitem>
+               <para>Parallelized hash joins</para>
+            </listitem>
+
+            <listitem>
+               <para>
+                Parallelized <command>CREATE INDEX</command> for B-tree indexes
+               </para>
+            </listitem>
+
+             <listitem>
+                <para>
+                 Parallelized <command>CREATE TABLE .. AS</command>,
+                 <command>CREATE MATERIALIZED VIEW</command>, and certain
+                 queries with <literal>UNION</literal>
+                </para>
+             </listitem>
+
+            </itemizedlist>
+        </para>
+    </listitem>
+
+    <listitem>
+        <para>
+         SQL stored procedures with support for embedded transactions
+        </para>
+    </listitem>
+
+    <listitem>
+        <para>
+         JIT compilation introduced, including support for fast evaluation of
+         expressions
+        </para>
+    </listitem>
+
+    <listitem>
+       <para>
+         Window functions now support all options shown in the SQL:2011
+         standard, including <literal>RANGE &lt;distance&gt; PRECEDING/FOLLOWING
+         </literal>, <literal>GROUPS</literal> mode, and frame exclusion
+         options.
+       </para>
+    </listitem>
+
+    <listitem>
+       <para>
+         Channel binding for SCRAM authentication to prevent potential
+         man-in-the-middle attacks
+       </para>
+    </listitem>
+
+    <listitem>
+       <para>
+        Many other useful performance improvements, including fast
+        <command>ALTER TABLE .. ADD COLUMN</command> with a
+        non-<literal>NULL</literal> default
+       </para>
+    </listitem>
    </itemizedlist>
 
    <para>
